clan::DirectoryListingEntry Class Reference - ClanLib SDK
Description: clan::DirectoryListingEntry Class Reference

Public Member Functions | List of all members
clan::DirectoryListingEntry Class Reference

Virtual File System (VFS) directory listing entry class. More...

`#include <directory_listing_entry.h>`

## Public Member Functions
| DirectoryListingEntry ()
virtual | ~DirectoryListingEntry ()
std::string | get_filename ()
| Returns the file name of the item in the listing.
bool | is_directory ()
| Returns true if item is a directory.
bool | is_hidden ()
| Returns true if item is hidden.
bool | is_readable ()
| Returns true if item is readable.
bool | is_writable ()
| Returns true if item is writable.
void | set_directory (bool)
void | set_filename (const std::string &)
void | set_hidden (bool)
void | set_readable (bool)
void | set_writable (bool)

## Detailed Description

Virtual File System (VFS) directory listing entry class.

## Constructor & Destructor Documentation

## ◆ DirectoryListingEntry()

clan::DirectoryListingEntry::DirectoryListingEntry | ( |  | ) |

## ◆ ~DirectoryListingEntry()

virtual clan::DirectoryListingEntry::~DirectoryListingEntry | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ get_filename()

std::string clan::DirectoryListingEntry::get_filename | ( |  | ) |

Returns the file name of the item in the listing.

## ◆ is_directory()

bool clan::DirectoryListingEntry::is_directory | ( |  | ) |

Returns true if item is a directory.

## ◆ is_hidden()

bool clan::DirectoryListingEntry::is_hidden | ( |  | ) |

Returns true if item is hidden.

## ◆ is_readable()

bool clan::DirectoryListingEntry::is_readable | ( |  | ) |

Returns true if item is readable.

## ◆ is_writable()

bool clan::DirectoryListingEntry::is_writable | ( |  | ) |

Returns true if item is writable.

## ◆ set_directory()

void clan::DirectoryListingEntry::set_directory | ( | bool |  | ) |

## ◆ set_filename()

void clan::DirectoryListingEntry::set_filename | ( | const std::string & |  | ) |

## ◆ set_hidden()

void clan::DirectoryListingEntry::set_hidden | ( | bool |  | ) |

## ◆ set_readable()

void clan::DirectoryListingEntry::set_readable | ( | bool |  | ) |

## ◆ set_writable()

void clan::DirectoryListingEntry::set_writable | ( | bool |  | ) |

The documentation for this class was generated from the following file:

- directory_listing_entry.h